#ifndef __TIME_H__
#define __TIME_H__

#ifdef __cplusplus
extern "C" {
#endif


/*
 * high resolution (> 1 s) timestamp [s]
 * starts at or near 0 s.
 */
extern double get_time();

/*
 * calculate fps; fairly complicated smooth algorithm
 * => little fluctuation, but quick reaction and update time.
 */
extern int fps;
extern void calc_fps();


#ifdef __cplusplus
}
#endif

#endif	/* #ifndef __TIME_H__ */
